<?php

/**
 * ProductPropList form base class.
 *
 * @method ProductPropList getObject() Returns the current form's model object
 *
 * @package    sf
 * @subpackage form
 * @author     Atma
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class BaseProductPropListForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'              => new sfWidgetFormInputHidden(array(), array()),
      'inner_id'        => new sfWidgetFormInputText(array(), array("size" => 65)),
      'product_prop_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('ProductProp'), 'add_empty' => false), array("required" => true)),
      'created_at'      => new sfWidgetFormDateTime(array(), array("required" => true)),
      'updated_at'      => new sfWidgetFormDateTime(array(), array("required" => true)),
    ));

    $this->setValidators(array(
      'id'              => new sfValidatorDoctrineChoice(array('model' => $this->getModelName(), 'column' => 'id', 'required' => false)),
      'inner_id'        => new sfValidatorPass(array('required' => false)),
      'product_prop_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('ProductProp'))),
      'created_at'      => new sfValidatorDateTime(),
      'updated_at'      => new sfValidatorDateTime(),
    ));

    $this->widgetSchema->setNameFormat('product_prop_list[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'ProductPropList';
  }

}
